//
//  ClassBreaksViewController.h
//  ClassBreaks
//
//  Created by James Richards on 6/1/10.
//  Copyright Artisan Global LLC 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AGSiPhone.h"

#define kTiledMapServiceURL @"http://server.arcgisonline.com/ArcGIS/rest/services/ESRI_Imagery_World_2D/MapServer"
#define kDynamicMapServiceURL @"http://sampleserver1.arcgisonline.com/ArcGIS/rest/services/Specialty/ESRI_StatesCitiesRivers_USA/MapServer/0"

@interface ClassBreaksViewController : UIViewController<AGSMapViewDelegate, AGSQueryTaskDelegate> {
	AGSMapView *mapView;
	AGSGraphicsLayer *cityGraphicsLayer;
    AGSQueryTask *cityQueryTask;
	
}

@property (nonatomic, retain) IBOutlet AGSMapView *mapView;
@property (nonatomic, retain) AGSGraphicsLayer *cityGraphicsLayer;
@property (nonatomic, retain) AGSQueryTask *cityQueryTask;

@end

